%define name	readhash
%define version 1.1
%define release 0

Summary: A program with graphical interface that can compute diffrent hashsums: CRC32, MD4, MD5, SHA1, SHA-256, SHA-384, SHA-512, ED2K and Tiger.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Applications/File
Source0: %{name}-%{version}.tar.bz2
Packager: AlannY <m@alanny.ru>
URL: http://readhash.sourceforge.net
BuildRoot: /var/tmp/%{name}-buildroot
Requires: glib2 >= 2.12.0
Requires: gtk2 >= 2.2
Requires: gnome-vfs2 >= 2.10.0
BuildRequires: glib2-devel >= 2.12.0
BuildRequires: gtk2-devel >= 2.2
BuildRequires: gnome-vfs2-devel >= 2.10.0

%description
The readhash tool allow the user to compute hashsum with
different algorythms: CRC32, MD4, MD5, SHA1, SHA-256, SHA-384, SHA-512, ED2K and Tiger.

%prep
%setup -q

%build
./configure --prefix=/usr
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README LICENSE ChangeLog

/usr/bin/readhash
/usr/share/man/man1/readhash.1.gz
/usr/share/pixmaps/readhash.xpm
/usr/share/readhash/pixmaps/readhash.svg
/usr/share/readhash/pixmaps/grey.svg
/usr/share/readhash/pixmaps/green.svg
/usr/share/readhash/pixmaps/red.svg
/usr/share/applications/readhash.desktop
/usr/share/locale/ru/LC_MESSAGES/readhash.mo

