/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file entry.h
* @brief Entry
* @author AlannY
* @date 2007-10-14
*/

#ifndef _ENTRY_H
#define _ENTRY_H

typedef struct entry_s {
    uint8_t what;
    uint8_t *filename;
    uint8_t *path;
    uint8_t *given_crc32;
    uint8_t *crc32;
    uint8_t *md4;
    uint8_t *md5;
    uint8_t *sha1;
    uint8_t *sha256;
    uint8_t *sha384;
    uint8_t *sha512;
    uint8_t *ed2k;
    uint8_t *ed2klink;
    uint8_t *tiger;
} entry_t;

inline void entry_free(entry_t *entry);

#endif

