/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file crc32.h
* @brief CRC32
* @author AlannY
* @date 2007-10-10
*/

#ifndef _FF_CRC32_H
#define _FF_CRC32_H

uint8_t crc32_digest(uint8_t *filename, uint8_t *digest);
uint32_t crc32(uint32_t crc32, const char *p, int len);

#endif

