OBJS=obj/src/readhash.o \
obj/src/file.o \
obj/src/cli.o \
obj/src/digest.o \
obj/src/entry.o \
obj/src/getopt.o \
obj/src/queue.o \
obj/src/ff/crc32.o \
obj/src/ff/md4.o \
obj/src/ff/md5.o \
obj/src/ff/sha1.o \
obj/src/ff/sha256.o \
obj/src/ff/sha512.o \
obj/src/ff/ed2k.o \
obj/src/ff/tiger.o

ifeq "$(GTK)" "1"
OBJS+=obj/src/gui/window.o \
obj/src/gui/progress.o
endif

ifeq "$(DEBUG)" "1"
OBJS+=obj/src/dbug.o
endif

SRCS=src/readhash.c \
src/file.c \
src/cli.c \
src/digest.c \
src/entry.c \
src/queue.c \
src/ff/crc32.c \
src/ff/md4.c \
src/ff/md5.c \
src/ff/sha1.c \
src/ff/sha256.c \
src/ff/sha512.c \
src/ff/ed2k.c \
src/ff/tiger.c \
src/gui/window.c \
src/gui/progress.c

LOCALE=locale/ru/LC_MESSAGES/readhash.mo

