/*
 * Copyright (C) 2007 - AlannY
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * aint32_t64_t with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
/** 
* @file readhash.h
* @brief readhash
* @author AlannY
* @date 2007-10-09
*/

#ifndef _READHASH_H
#define _READHASH_H

enum {
    STATUS_AUTO_CRC32 = 1,
    STATUS_QUIT = 2,
    STATUS_ABORT = 4,
    STATUS_GUI = 8
};

typedef struct {
    uint8_t flags;
    uint8_t *path;
} status_t;

status_t* default_status();
inline void status_free(status_t *status);
int main(int argc, char *argv[]);

extern status_t *status;

#endif

